package com.leanwo.activiti.dto.base;

import java.util.Date;

/**
 * 历史任务信息.
 *
 * @author YangZhiJie
 */
public class HistoricTaskInfo {
	
	/**
	 *  Id.
	 */
	private String id;

	/**  审批类型. */
	private String type;
	
	/**  审批标题. */
	private String title;
	
	/**  编号. */
	private String no;
	
	/**  正文内容(审批摘要). */
	private String content;

	/**
	 *  发起日期.
	 */
	private Date startDate;

	/**  完成日期. */
	private Date endDate;
	
	/**  发起人Id. */
	private String startUserId;
	
	/**  发起人姓名. */
	private String startUserName;
	
	/**  审批状态. */
	private String documentStatus;

	/**  CRUD 窗口Id. */
	private String windowNo;

	/**  页签Id. */
	private Integer tabIndex;
	
	/**  记录Id. */
	private String recordId;
	
	/**
	 * Gets the id.
	 *
	 * @return the id
	 */
	public String getId() {
		return id;
	}

	/**
	 * Sets the id.
	 *
	 * @param id the new id
	 */
	public void setId(String id) {
		this.id = id;
	}

	/**
	 * Gets the 审批类型.
	 *
	 * @return the 审批类型
	 */
	public String getType() {
		return type;
	}

	/**
	 * Sets the 审批类型.
	 *
	 * @param type the new 审批类型
	 */
	public void setType(String type) {
		this.type = type;
	}

	/**
	 * Gets the 审批标题.
	 *
	 * @return the 审批标题
	 */
	public String getTitle() {
		return title;
	}

	/**
	 * Sets the 审批标题.
	 *
	 * @param title the new 审批标题
	 */
	public void setTitle(String title) {
		this.title = title;
	}

	/**
	 * Gets the 编号.
	 *
	 * @return the 编号
	 */
	public String getNo() {
		return no;
	}

	/**
	 * Sets the 编号.
	 *
	 * @param no the new 编号
	 */
	public void setNo(String no) {
		this.no = no;
	}

	/**
	 * Gets the 正文内容(审批摘要).
	 *
	 * @return the 正文内容(审批摘要)
	 */
	public String getContent() {
		return content;
	}

	/**
	 * Sets the 正文内容(审批摘要).
	 *
	 * @param content the new 正文内容(审批摘要)
	 */
	public void setContent(String content) {
		this.content = content;
	}

	/**
	 * Gets the 发起日期.
	 *
	 * @return the 发起日期
	 */
	public Date getStartDate() {
		return startDate;
	}

	/**
	 * Sets the 发起日期.
	 *
	 * @param startDate the new 发起日期
	 */
	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	/**
	 * Gets the 完成日期.
	 *
	 * @return the 完成日期
	 */
	public Date getEndDate() {
		return endDate;
	}

	/**
	 * Sets the 完成日期.
	 *
	 * @param endDate the new 完成日期
	 */
	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	

	/**
	 * Gets the 发起人Id.
	 *
	 * @return the 发起人Id
	 */
	public String getStartUserId() {
		return startUserId;
	}

	/**
	 * Sets the 发起人Id.
	 *
	 * @param startUserId the new 发起人Id
	 */
	public void setStartUserId(String startUserId) {
		this.startUserId = startUserId;
	}

	/**
	 * Gets the 发起人姓名.
	 *
	 * @return the 发起人姓名
	 */
	public String getStartUserName() {
		return startUserName;
	}

	/**
	 * Sets the 发起人姓名.
	 *
	 * @param startUserName the new 发起人姓名
	 */
	public void setStartUserName(String startUserName) {
		this.startUserName = startUserName;
	}

	/**
	 * Gets the 审批状态.
	 *
	 * @return the 审批状态
	 */
	public String getDocumentStatus() {
		return documentStatus;
	}

	/**
	 * Sets the 审批状态.
	 *
	 * @param documentStatus the new 审批状态
	 */
	public void setDocumentStatus(String documentStatus) {
		this.documentStatus = documentStatus;
	}

	/**
	 * Gets the cRUD 窗口Id.
	 *
	 * @return the cRUD 窗口Id
	 */
	public String getWindowNo() {
		return windowNo;
	}

	/**
	 * Sets the cRUD 窗口Id.
	 *
	 * @param windowNo the new cRUD 窗口Id
	 */
	public void setWindowNo(String windowNo) {
		this.windowNo = windowNo;
	}

	/**
	 * Gets the 页签Id.
	 *
	 * @return the 页签Id
	 */
	public Integer getTabIndex() {
		return tabIndex;
	}

	/**
	 * Sets the 页签Id.
	 *
	 * @param tabId the new 页签Id
	 */
	public void setTabIndex(Integer tabIndex) {
		this.tabIndex = tabIndex;
	}

	/**
	 * Gets the 记录Id.
	 *
	 * @return the 记录Id
	 */
	public String getRecordId() {
		return recordId;
	}

	/**
	 * Sets the 记录Id.
	 *
	 * @param recordId the new 记录Id
	 */
	public void setRecordId(String recordId) {
		this.recordId = recordId;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "HistoricTaskInfo [id=" + id + ", type=" + type + ", title=" + title + ", no=" + no + ", content="
				+ content + ", startDate=" + startDate + ", endDate=" + endDate + ", startUserId=" + startUserId
				+ ", startUserName=" + startUserName + ", documentStatus=" + documentStatus + ", windowNo=" + windowNo
				+ ", recordId=" + recordId + "]";
	}
}
